Bug 1738161 - texlive-base depends on Python 2
Summary: texlive-base depends on Python 2
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: texlive-base
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F31_PY2REMOVAL
TreeView+ depends on / blocked
 
Reported: 2019-08-06 13:18 UTC by Lumír Balhar
Modified: 2020-02-11 15:49 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)

Description Lumír Balhar 2019-08-06 13:18:54 UTC
Python 2.7 will reach end-of-life in January 2020, over 9 years after it was released. This falls within the Fedora 31 lifetime.
Packages that depend on Python 2 are being switched to Python 3 or removed from Fedora: https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages
Python 2 will be retired in Fedora 32: https://fedoraproject.org/wiki/Changes/RetirePython2

To help planning, we'd like to know the plans for texlive-base's future. Specifically:


- What is the reason for the Python2 dependency? (Is it software written in Python, or does it just provide Python bindings, or use Python in the build system or test runner?) 

- What are the upstream/community plans/timelines regarding Python 3?

- What is the guidance for porting to Python 3? (Assuming that there is someone who generally knows how to port to Python 3, but doesn't know anything about the particular package, what are the next steps to take?)


This bug is filed semi-automatically, and might not have all the context specific to texlive-base.
If you need anything from us, or something is unclear, please mention it here.

Thank you.

Comment 1 Ben Cotton 2019-08-13 16:58:28 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 2 Ben Cotton 2019-08-13 17:40:04 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 3 Lumír Balhar 2019-08-15 07:40:58 UTC
Please answer the above questions. If you don't, the package can be orphaned: https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages

If you need any information or help, or if you need some more time, please let us know.

Comment 4 Tom "spot" Callaway 2019-08-15 17:15:21 UTC
(In reply to Lumír Balhar from comment #0)

> - What is the reason for the Python2 dependency? (Is it software written in
> Python, or does it just provide Python bindings, or use Python in the build
> system or test runner?) 

texlive-base is about 100 components in one package. Some of them are software written in Python, some use Python in their build system.

> - What are the upstream/community plans/timelines regarding Python 3?

None that I am aware of, but several of the Python components in the mix have support for Python 3.

> - What is the guidance for porting to Python 3? (Assuming that there is
> someone who generally knows how to port to Python 3, but doesn't know
> anything about the particular package, what are the next steps to take?)

If you do the work, I'll carry the patch.

Comment 5 Petr Viktorin 2019-08-16 09:43:01 UTC
As far as I can see, most of the components have Python 3. The rest (texlive-dviasm, texlive-pygmentex, texlive-pythontex) only need the interpreter.
It would be great to have answers to the questions above for these specific packages.

dviasm: https://www.ctan.org/tex-archive/dviware/dviasm  &  https://github.com/khaledhosny/dviasm/issues/7
pygmentex: https://www.ctan.org/tex-archive/macros/latex/contrib/pygmentex
pythontex (py3 compatible, needs dropping py2): https://www.ctan.org/pkg/pythontex

FWIW, since these don't block anything else, I'd support an FESCo exception for them.

Comment 6 Miro Hrončok 2019-08-23 17:39:56 UTC
See https://pagure.io/fesco/issue/2215

pygmentex needs pygments.

Comment 7 Ben Cotton 2020-02-11 15:49:04 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 32 development cycle.
Changing version to 32.


Note You need to log in before you can comment on or make changes to this bug.